Skip to content
View as Markdown

POST Send Campaign Test Email​

POST
/campaigns/send-test-email

Send a test email for a campaign. Can send a test from either a saved campaign (by campaign_id) or from unsaved campaign data passed in the request body. The email subject is prefixed with 'TEST: '. If no email address is provided, it sends to the current user's email.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"test_campaign": "string",
"campaign_id": 0,
"campaign": {
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"design_template": "string",
"settings": {
}
},
"email": "string"
}

Responses​

Test email sent successfully.

application/json
JSON
{
"message": "string",
"result": {
}
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI